teknoraver / rpms / systemd

Forked from rpms/systemd 2 months ago
Clone

Blame SOURCES/0188-test-suppress-echo-in-monitor_check_rr.patch

2aacef
From b6f459c221004de9753569e2ec5ee5f887fc8b51 Mon Sep 17 00:00:00 2001
2aacef
From: Yu Watanabe <watanabe.yu+github@gmail.com>
2aacef
Date: Thu, 15 Dec 2022 15:28:56 +0900
2aacef
Subject: [PATCH] test: suppress echo in monitor_check_rr()
2aacef
2aacef
(cherry picked from commit ef09861a0b0aa7c6a948f4e008e2fea312bc68d6)
2aacef
2aacef
Related: #2138081
2aacef
---
2aacef
 test/units/testsuite-75.sh | 8 ++++----
2aacef
 1 file changed, 4 insertions(+), 4 deletions(-)
2aacef
2aacef
diff --git a/test/units/testsuite-75.sh b/test/units/testsuite-75.sh
2aacef
index d2062c7b05..d0c7133412 100755
2aacef
--- a/test/units/testsuite-75.sh
2aacef
+++ b/test/units/testsuite-75.sh
2aacef
@@ -16,17 +16,17 @@ run() {
2aacef
     "$@" |& tee "$RUN_OUT"
2aacef
 }
2aacef
 
2aacef
-monitor_check_rr() {
2aacef
+monitor_check_rr() (
2aacef
+    set +x
2aacef
+    set +o pipefail
2aacef
     local match="${1:?}"
2aacef
 
2aacef
     # Wait until the first mention of the specified log message is
2aacef
     # displayed. We turn off pipefail for this, since we don't care about the
2aacef
     # lhs of this pipe expression, we only care about the rhs' result to be
2aacef
     # clean
2aacef
-    set +o pipefail
2aacef
     journalctl -u resmontest.service -f --full | grep -m1 "$match"
2aacef
-    set -o pipefail
2aacef
-}
2aacef
+)
2aacef
 
2aacef
 # Test for resolvectl, resolvconf
2aacef
 systemctl unmask systemd-resolved.service